Page MenuHomePhabricator

One-pager for successful GSoC / FOSS OPW interns
Closed, ResolvedPublic

Description

Even if the full instructions covering a whole GSoC / FOSS OPW internship can be really complex, THE POINT is very simple, and many times it gets lost with all the details.

Proposal: design a single wiki page with the minimum text (initial draft provided by @Qgil) and some graphics (that you could borrow from Commons or The Noun Project).

This is a candidate for a Google Code-in task, part of T561: Prepare Wikimedia's participation in Google Code-In

Draft text coming soon (below):

Find inspiration for a good wrap-up post: http://moriel.smarterthanthat.com/tips/google-summer-of-code-2013-summary/

Event Timeline

Qgil created this task.Nov 3 2014, 2:50 PM
Qgil raised the priority of this task from to Lowest.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil updated the task description. (Show Details)Nov 3 2014, 2:53 PM
Qgil claimed this task.Feb 2 2015, 7:13 AM
Qgil added a project: ECT-February-2015.
Qgil raised the priority of this task from Lowest to Low.Feb 2 2015, 9:13 AM
Qgil raised the priority of this task from Low to Normal.Feb 12 2015, 1:39 PM
Qgil moved this task from Backlog to Ready To Go on the ECT-March-2015 board.Mar 3 2015, 1:02 PM
Qgil raised the priority of this task from Normal to High.Mar 19 2015, 2:52 PM
Qgil moved this task from Backlog to Ready to Go on the ECT-April-2015 board.Apr 15 2015, 9:30 PM

"One-pager" / "a single wiki page with the minimum text and some graphics" to include which content exactly? How students can/shall write their wrap-up report at the successful end of their internships? (If so I'm missing the word "wrap-up summary" in the task desc / summary.)

This single wiki page aims to explain what is expected from GSoC / Outreachy interns from beginning (before applying) to end (after wrapping up their project).

I'm not sure I have the time to make it beautiful, but I still aim to deliver an informative page on time.

For me, this is also a way to provide what really matters to @NiharikaKohli (now that she is in the driving seat) and to whoever wants to help as org admin or mentor.

I have moved the Evaluation criteria page to https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project and I'm widening its scope.

I will focus on the community bonding period, which starts today as soon as the new GSoC / Outreachy interns are announced. @NiharikaKohli, let's use the new URL in announcements and communications with the new interns and their mentors. They will have questions, and they should be answered in this page.

Looks good. I'll include it in my announcement later today.

I'll attempt to add some more information to the page. Feel free to correct me as you see fit. :)

Niharika moved this task from Ready to Go to Doing on the ECT-April-2015 board.Apr 28 2015, 5:53 PM
Qgil lowered the priority of this task from High to Low.Apr 29 2015, 1:46 PM
Qgil added a project: ECT-May-2015.

The single page is now in the loop of the current round of GSoC / Outreachy. It is not urgent anymore, as long as week updating it as the round evolves.

@NiharikaKohli, may I pass this task to you as org admin overlady? You are the one investing the big amount of time with interns and mentors now. I will keep editing whatever improvements as they come or are missed.

@Qgil, sure. I'll keep updating it every now and then.

Niharika claimed this task.Apr 29 2015, 2:18 PM

@Qgil, shall I mark this as Resolved now that we have most of the basic information in place?

Yes, the page is useful enough already now and we are updating it as the current program moves forward. Thank you!

Niharika closed this task as Resolved.Jun 10 2015, 2:27 PM
01tonythomas added a subscriber: 01tonythomas.EditedJun 29 2015, 9:23 PM

I had written few paragraphs on my GSoC 2014 experience over here: https://www.mediawiki.org/wiki/User:01tonythomas/GSoC_Experience
Feel free to copy points, if it seems relevant.

@01tonythomas, thanks! Feel free to edit the page and help improve. We can definitely use some help for it. :)